Package com.sas.metadata.remote

# Interface FavoritesContainer

All Superinterfaces:
  `CMetadata`, `MdObjectBase`, `MdObjectBaseUtil`, `MdObjectBaseXML`, `PrimaryType`, `Remote`, `Root`

public interface FavoritesContainer extends PrimaryType
Contains one or more links to an object that a user has marked as a favorite.

Attributes of FavoritesContainer are:

Associations of FavoritesContainer are:

- `ParentContainer`
- `Favorites`
- `SubContainers`

## Usage

To create an instance of this FavoritesContainer, use the `factory` create methods.
Example: create a FavoritesContainer with name "FavoritesContainer_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     FavoritesContainer myObject = (FavoritesContainer) factory.createComplexMetadataObject(objectStore, "FavoritesContainer_Object", MetadataObjects.FAVORITESCONTAINER, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ASSOCIATION_FAVORITES_NAME`
  Constant used for the name of the Favorites association.
  `static final String`
  `ASSOCIATION_PARENTCONTAINER_NAME`
  Constant used for the name of the ParentContainer association.
  `static final String`
  `ASSOCIATION_SUBCONTAINERS_NAME`
  Constant used for the name of the SubContainers association.

  ### Fields inherited from interface com.sas.metadata.remote.MdObjectBase

  `ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.PrimaryType

  `ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.Root

  `ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AssociationList`
  `getFavorites()`
  Gets the Association list of `Favorites`
  `AssociationList`
  `getFavorites(boolean fGoToServer)`
  Gets the Associationlist of `Favorites`
  `FavoritesContainer`
  `getParentContainer()`
  Gets the `FavoritesContainer` for `ParentContainer`
  `AssociationList`
  `getParentContainers()`
  Gets the AssociationList of `ParentContainers`
  `AssociationList`
  `getParentContainers(boolean fGoToServer)`
  Gets the Associationlist of `ParentContainers`
  `AssociationList`
  `getSubContainers()`
  Gets the Association list of `SubContainers`
  `AssociationList`
  `getSubContainers(boolean fGoToServer)`
  Gets the Associationlist of `SubContainers`
  `void`
  `initializePredObjects()`
  (S) Adds the Associated objects to the predObjects which are:
  `ParentContainer`
  `void`
  `initializeRequiredObjects()`
  (S) This initializes the Required Objects(Roles) which are:
  `void`
  `setFavorites(AssociationList list)`
  Sets the `Favorites` list to be `list`.
  `void`
  `setFavorites(AssociationList inObjects, int state)`
  Sets the entire Favorites list to match the passed in AssociationList, sets the state of the Favorites
  `void`
  `setParentContainer(FavoritesContainer inObject)`
  Sets the `ParentContainers` list 0th element to be `inObject`.
  `void`
  `setParentContainers(AssociationList list)`
  Sets the `ParentContainers` list to be `list`.
  `void`
  `setParentContainers(AssociationList list, int state)`
  Sets the `ParentContainers` list to be `list`.
  `void`
  `setSubContainers(AssociationList list)`
  Sets the `SubContainers` list to be `list`.
  `void`
  `setSubContainers(AssociationList inObjects, int state)`
  Sets the entire SubContainers list to match the passed in AssociationList, sets the state of the SubContainers

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBase

  `addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil

  `addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getAuthorizationUtil, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML

  `closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

  ### Methods inherited from interface com.sas.metadata.remote.PrimaryType

  `getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

  ### Methods inherited from interface com.sas.metadata.remote.Root

  `getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

- ## Field Details

  - ### ASSOCIATION_PARENTCONTAINER_NAME

    static final String ASSOCIATION_PARENTCONTAINER_NAME
    Constant used for the name of the ParentContainer association.

    ParentContainer: The parent favorites container for this sub container.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_FAVORITES_NAME

    static final String ASSOCIATION_FAVORITES_NAME
    Constant used for the name of the Favorites association.

    Favorites: The favorites for this container.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_SUBCONTAINERS_NAME

    static final String ASSOCIATION_SUBCONTAINERS_NAME
    Constant used for the name of the SubContainers association.

    SubContainers: The favorites containers that are parented by this container.

    See Also:
      - Constant Field Values

- ## Method Details

  - ### initializeRequiredObjects

    void initializeRequiredObjects() throws RemoteException
    (S) This initializes the Required Objects(Roles) which are:
    Specified by:
      `initializeRequiredObjects` in interface `MdObjectBaseUtil`
    Specified by:
      `initializeRequiredObjects` in interface `PrimaryType`
    Specified by:
      `initializeRequiredObjects` in interface `Root`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### initializePredObjects

    void initializePredObjects() throws RemoteException
    (S) Adds the Associated objects to the predObjects which are:
    `ParentContainer`
    Specified by:
      `initializePredObjects` in interface `MdObjectBase`
    Specified by:
      `initializePredObjects` in interface `PrimaryType`
    Specified by:
      `initializePredObjects` in interface `Root`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getParentContainers

    AssociationList getParentContainers() throws RemoteException, MdException
    Gets the AssociationList of `ParentContainers`
    Returns:
      Returns the AssociationList of `ParentContainers` which can be of type:
      FavoritesContainer
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException`

  - ### getParentContainer

    FavoritesContainer getParentContainer() throws RemoteException, MdException
    Gets the `FavoritesContainer` for `ParentContainer`
    Returns:
      The `FavoritesContainer` ( `null` if not set) of `ParentContainer`which can be of type:
      FavoritesContainer
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getFavorites

    AssociationList getFavorites() throws RemoteException, MdException
    Gets the Association list of `Favorites`
    Returns:
      The AssociationList of `Favorites` which can be of type:
      PrimaryType
      Hierarchy
      Aggregation
      HierarchyLevel
      AbstractTransformation
      TransformationStep
      SyncStep
      TransformationActivity
      FeatureMap
      ColumnHierarchy
      Transformation
      ClassifierMap
      Select
      Join
      AbstractJob
      Job
      JFJob
      MiningResult
      Event
      Condition
      ConditionActionSet
      Action
      Feature
      Level
      OLAPProperty
      GlobalFormula
      NamedSet
      CalculatedMember
      LogicalColumn
      Measure
      CalculatedMeasure
      Column
      ColumnRange
      Classifier
      Cube
      Dimension
      SharedDimension
      DataTable
      ExternalTable
      RelationalTable
      PhysicalTable
      WorkTable
      SecuredTable
      QueryTable
      JoinTable
      TableCollection
      Report
      Identity
      IdentityGroup
      Person
      TypeDefinition
      Search
      Index
      Tree
      Group
      SXLEMap
      FavoritesContainer
      DeployedDataPackage
      OLAPSchema
      DatabaseCatalog
      SASCatalog
      RelationalSchema
      DatabaseSchema
      DataSourceName
      SASLibrary
      SecuredLibrary
      ContentLocation
      Text
      TextStore
      SASCatalogEntry
      File
      ArchiveFile
      ArchiveEntry
      Document
      Directory
      AnalyticContext
      Device
      Stream
      Memory
      Connection
      SASClientConnection
      OpenClientConnection
      TCPIPConnection
      COMConnection
      Email
      SASFileRef
      ContentType
      DeviceType
      AuthenticationDomain
      SoftwareComponent
      DeployedComponent
      ConfiguredComponent
      ServiceComponent
      ServerComponent
      LogicalServer
      ServerContext
      Login
      Machine
      NamedService
      SASLicense
      Prototype
      Permission
      AccessControl
      AccessControlEntry
      AccessControlTemplate
      SecurityRuleScheme
      ApplicationAction
      ITChannel
      ITSubscriber
      ITContentSubscriber
      ITEventSubscriber
      TSNamespace
      TSNameObject
      AbstractPrompt
      Prompt
      PromptGroup
      PSPortalProfile
      PSPortalPage
      PSPortlet
      PSLayoutComponent
      PSColumnLayoutComponent
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getSubContainers

    AssociationList getSubContainers() throws RemoteException, MdException
    Gets the Association list of `SubContainers`
    Returns:
      The AssociationList of `SubContainers` which can be of type:
      FavoritesContainer
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getParentContainers

    AssociationList getParentContainers(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `ParentContainers`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the AssociationList of `ParentContainers` which can be of type:
      FavoritesContainer
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getFavorites

    AssociationList getFavorites(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `Favorites`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `Favorites` which can be of type:
      PrimaryType
      Hierarchy
      Aggregation
      HierarchyLevel
      AbstractTransformation
      TransformationStep
      SyncStep
      TransformationActivity
      FeatureMap
      ColumnHierarchy
      Transformation
      ClassifierMap
      Select
      Join
      AbstractJob
      Job
      JFJob
      MiningResult
      Event
      Condition
      ConditionActionSet
      Action
      Feature
      Level
      OLAPProperty
      GlobalFormula
      NamedSet
      CalculatedMember
      LogicalColumn
      Measure
      CalculatedMeasure
      Column
      ColumnRange
      Classifier
      Cube
      Dimension
      SharedDimension
      DataTable
      ExternalTable
      RelationalTable
      PhysicalTable
      WorkTable
      SecuredTable
      QueryTable
      JoinTable
      TableCollection
      Report
      Identity
      IdentityGroup
      Person
      TypeDefinition
      Search
      Index
      Tree
      Group
      SXLEMap
      FavoritesContainer
      DeployedDataPackage
      OLAPSchema
      DatabaseCatalog
      SASCatalog
      RelationalSchema
      DatabaseSchema
      DataSourceName
      SASLibrary
      SecuredLibrary
      ContentLocation
      Text
      TextStore
      SASCatalogEntry
      File
      ArchiveFile
      ArchiveEntry
      Document
      Directory
      AnalyticContext
      Device
      Stream
      Memory
      Connection
      SASClientConnection
      OpenClientConnection
      TCPIPConnection
      COMConnection
      Email
      SASFileRef
      ContentType
      DeviceType
      AuthenticationDomain
      SoftwareComponent
      DeployedComponent
      ConfiguredComponent
      ServiceComponent
      ServerComponent
      LogicalServer
      ServerContext
      Login
      Machine
      NamedService
      SASLicense
      Prototype
      Permission
      AccessControl
      AccessControlEntry
      AccessControlTemplate
      SecurityRuleScheme
      ApplicationAction
      ITChannel
      ITSubscriber
      ITContentSubscriber
      ITEventSubscriber
      TSNamespace
      TSNameObject
      AbstractPrompt
      Prompt
      PromptGroup
      PSPortalProfile
      PSPortalPage
      PSPortlet
      PSLayoutComponent
      PSColumnLayoutComponent
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getSubContainers

    AssociationList getSubContainers(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `SubContainers`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `SubContainers` which can be of type:
      FavoritesContainer
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### setParentContainers

    void setParentContainers(AssociationList list) throws RemoteException
    Sets the `ParentContainers` list to be `list`. Object of which can be of type:
    FavoritesContainer
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setParentContainers

    void setParentContainers(AssociationList list, int state) throws RemoteException
    Sets the `ParentContainers` list to be `list`. Object of which can be of type:
    FavoritesContainer
    Parameters:
      `list` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setParentContainer

    void setParentContainer(FavoritesContainer inObject) throws RemoteException
    Sets the `ParentContainers` list 0th element to be `inObject`.
    Parameters:
      `inObject` - FavoritesContainer
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setFavorites

    void setFavorites(AssociationList list) throws RemoteException
    Sets the `Favorites` list to be `list`. Objects of which can be of type:
    PrimaryType
    Hierarchy
    Aggregation
    HierarchyLevel
    AbstractTransformation
    TransformationStep
    SyncStep
    TransformationActivity
    FeatureMap
    ColumnHierarchy
    Transformation
    ClassifierMap
    Select
    Join
    AbstractJob
    Job
    JFJob
    MiningResult
    Event
    Condition
    ConditionActionSet
    Action
    Feature
    Level
    OLAPProperty
    GlobalFormula
    NamedSet
    CalculatedMember
    LogicalColumn
    Measure
    CalculatedMeasure
    Column
    ColumnRange
    Classifier
    Cube
    Dimension
    SharedDimension
    DataTable
    ExternalTable
    RelationalTable
    PhysicalTable
    WorkTable
    SecuredTable
    QueryTable
    JoinTable
    TableCollection
    Report
    Identity
    IdentityGroup
    Person
    TypeDefinition
    Search
    Index
    Tree
    Group
    SXLEMap
    FavoritesContainer
    DeployedDataPackage
    OLAPSchema
    DatabaseCatalog
    SASCatalog
    RelationalSchema
    DatabaseSchema
    DataSourceName
    SASLibrary
    SecuredLibrary
    ContentLocation
    Text
    TextStore
    SASCatalogEntry
    File
    ArchiveFile
    ArchiveEntry
    Document
    Directory
    AnalyticContext
    Device
    Stream
    Memory
    Connection
    SASClientConnection
    OpenClientConnection
    TCPIPConnection
    COMConnection
    Email
    SASFileRef
    ContentType
    DeviceType
    AuthenticationDomain
    SoftwareComponent
    DeployedComponent
    ConfiguredComponent
    ServiceComponent
    ServerComponent
    LogicalServer
    ServerContext
    Login
    Machine
    NamedService
    SASLicense
    Prototype
    Permission
    AccessControl
    AccessControlEntry
    AccessControlTemplate
    SecurityRuleScheme
    ApplicationAction
    ITChannel
    ITSubscriber
    ITContentSubscriber
    ITEventSubscriber
    TSNamespace
    TSNameObject
    AbstractPrompt
    Prompt
    PromptGroup
    PSPortalProfile
    PSPortalPage
    PSPortlet
    PSLayoutComponent
    PSColumnLayoutComponent
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setFavorites

    void setFavorites(AssociationList inObjects, int state) throws RemoteException
    Sets the entire Favorites list to match the passed in AssociationList, sets the state of the Favorites
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSubContainers

    void setSubContainers(AssociationList list) throws RemoteException
    Sets the `SubContainers` list to be `list`. Objects of which can be of type:
    FavoritesContainer
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSubContainers

    void setSubContainers(AssociationList inObjects, int state) throws RemoteException
    Sets the entire SubContainers list to match the passed in AssociationList, sets the state of the SubContainers
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.